#include "talk.hh"

int
main ()
{
  Pvm::TaskSet AllTasks;
  Pvm::StructSet Awaited;
  Message In;
  Awaited.insert (In);
  Awaited.insert (Register);
  Awaited.insert (Leaving);
  while (true)
    {
      Pvm::Task From;
      Pvm::StructId Id = Awaited.Receive (From);
      if (Id == RegisterId)
	AllTasks.insert (From);
      else if (Id == LeavingId)
	{
	  AllTasks.erase (From);
	  if (AllTasks.empty ())
	    break;
	}
      else			// Id == MessageId
	{
	  if (AllTasks.count (From))
	    {
	      Pvm::TaskSet AllButSender = AllTasks;
	      AllButSender.erase (From);
	      In.Send (AllButSender);
	    }
	}
    }
}
