#include <pvm++/pvm++.hh>

const Pvm::StructId MessageId = 1;
const Pvm::StructId RegisterId = 2;
const Pvm::StructId LeavingId = 3;

struct Message:public Pvm::Struct
{
  PvmSetStructId (MessageId);
  PvmRegistration ()
  {
    Pvm::Register (String);
    Pvm::Register (Name);
  }
  std::string String;
  std::string Name;
};

static Pvm::EmptyStruct Register (RegisterId);
static Pvm::EmptyStruct Leaving (LeavingId);
